PROJECT_NAME=edu-textbook
PROJECT_VERSION=1.0.0
NODE_VERSION=18.19.1



# 服务端
mkdir -p opt/edu-textbook-server
mkdir -p opt/certs/tbook.com.cn/
cp ../server/dist/server/server.js opt/edu-textbook-server/
cp ../server/package.json opt/edu-textbook-server/
cp ../server/config.js opt/edu-textbook-server/
cp ../server/keepalive.js opt/edu-textbook-server/
cp ../server/config/certs/* opt/certs/tbook.com.cn/

mkdir -p opt/nginx
cp ../server/config/nginx-server.conf opt/nginx/
# 前端
mkdir -p var/www/edu-textbook
cp ../dist/edu-textbook-www.tar.gz var/www/edu-textbook


# 构建
sudo docker build \
--build-arg CMS_DOMAIN=$CMS_DOMAIN \
--build-arg CMS_DISABLE=$CMS_DISABLE \
--build-arg NODE_VERSION=$NODE_VERSION \
--build-arg TERM=$TERM \
--build-arg NGINX_DISABLE=$NGINX_DISABLE \
--tag fmode:$PROJECT_NAME-$PROJECT_VERSION .